net.snowflake.client.core

## Class IncidentIT

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT
  - - net.snowflake.client.core.BaseIncidentTest
    - - net.snowflake.client.core.IncidentIT

    public class IncidentIT
    extends BaseIncidentTest

Author:
  jrosen

### Field Summary

### Fields inherited from class net.snowflake.client.core.BaseIncidentTest

`maxDumpSizeMb, maxLogDumps`

### Constructor Summary

Constructors
Constructor and Description
`IncidentIT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testCreateLogDump()` Test for the following: 1) Basic creation of log dump 2) Creation of log dump AND intermediate directories 3) Cleanup of a single large dump file 4) Limit on number of allowed dump files at any given time
`void` `testDumpFileCreated()`
`void` `testFlushEvent()`
`void` `testGenerateIncidentsInMultipleThreads()`
`void` `testThrottleIncidentsInClientSide()`
`void` `testThrottleIncidentsInServerSide()`
`void` `testTriggerIncident()`

### Methods inherited from class net.snowflake.client.core.BaseIncidentTest

`generateIncidentWithSignature, setUp, setUpClass, tearDown, tearDownClass, verifyIncidentRegisteredInGS`

### Methods inherited from class net.snowflake.client.AbstractDriverIT

`getConnection, getConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IncidentIT

    public IncidentIT()

### Method Detail

#### testFlushEvent

    public void testFlushEvent()
                        throws SQLException

Throws:
  `SQLException`

#### testTriggerIncident

    public void testTriggerIncident()
                             throws SQLException

Throws:
  `SQLException`

#### testCreateLogDump

    public void testCreateLogDump()

Test for the following: 1) Basic creation of log dump 2) Creation of log dump AND intermediate directories 3) Cleanup of a single large dump file 4) Limit on number of allowed dump files at any given time

#### testDumpFileCreated

    public void testDumpFileCreated()
                             throws SQLException

Throws:
  `SQLException`

#### testGenerateIncidentsInMultipleThreads

    public void testGenerateIncidentsInMultipleThreads()
                                                throws SQLException

Throws:
  `SQLException`

#### testThrottleIncidentsInClientSide

    public void testThrottleIncidentsInClientSide()
                                           throws SQLException

Throws:
  `SQLException`

#### testThrottleIncidentsInServerSide

    public void testThrottleIncidentsInServerSide()
                                           throws SQLException

Throws:
  `SQLException`